Page MenuHomePhabricator

[Utils] Salvage the debug info of DCE'ed ‘and’ instructions
ClosedPublic

Authored by djtodoro on Feb 10 2018, 11:24 AM.

Details

Diff Detail

Repository
rL LLVM

Event Timeline

djtodoro created this revision.Feb 10 2018, 11:24 AM
vsk added a subscriber: vsk.Feb 12 2018, 9:10 AM

LGTM.

As a follow-up, I think we should move the dce-and/dce-or tests to test/Transforms/InstCombine/debuginfo-variables.ll. I can send in patch later today to do that.

vsk accepted this revision.Feb 12 2018, 11:14 AM
This revision is now accepted and ready to land.Feb 12 2018, 11:14 AM
vsk requested changes to this revision.Feb 12 2018, 3:13 PM

Actually, would you mind rebasing and moving the test into 'test/Transforms/InstCombine/debuginfo-variables.ll' before landing this? It'd be a bit easier to understand that way and we'll avoid an extra move commit.

This revision now requires changes to proceed.Feb 12 2018, 3:13 PM

@vsk Thanks for your comments and review! D43207 LGTM. I'll do that way.

djtodoro updated this revision to Diff 134012.Feb 13 2018, 2:22 AM
vsk accepted this revision.Feb 13 2018, 10:11 AM

Perfect, thanks!

This revision is now accepted and ready to land.Feb 13 2018, 10:11 AM
This revision was automatically updated to reflect the committed changes.